Package de.tudresden.sumo.objects

## Class SumoGeometry

- java.lang.Object
- - de.tudresden.sumo.objects.SumoGeometry

- All Implemented Interfaces:
    `SumoObject`
  Direct Known Subclasses:
    `SumoGeometry`

      public class SumoGeometry
      extends Object
      implements SumoObject

  Author:
    Mario Krumnow

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `LinkedList<SumoPosition2D>` | `coords` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SumoGeometry()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(SumoPosition2D pos)` |
    `void` | `fromString​(String shape)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### coords

          public LinkedList<SumoPosition2D> coords

  - ### Constructor Detail

    - #### SumoGeometry

          public SumoGeometry()

  - ### Method Detail

    - #### add

          public void add​(SumoPosition2D pos)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### fromString

          public void fromString​(String shape)